Module java.base
Package java.nio.channels.spi

## Class AbstractSelectionKey

- java.lang.Object
- - java.nio.channels.SelectionKey
  - - java.nio.channels.spi.AbstractSelectionKey

    public abstract class AbstractSelectionKey
    extends SelectionKey

Base implementation class for selection keys.

This class tracks the validity of the key and implements cancellation.

Since:
  1.4

### Field Summary

### Fields declared in class java.nio.channels.SelectionKey

`OP_ACCEPT, OP_CONNECT, OP_READ, OP_WRITE`

### Constructor Summary

Constructors
`protected` `AbstractSelectionKey()` Initializes a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Cancels this key.

### Methods declared in class java.nio.channels.SelectionKey

`attach, attachment, channel, interestOps, interestOps, interestOpsAnd, interestOpsOr, isAcceptable, isConnectable, isReadable, isValid, isWritable, readyOps, selector`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSelectionKey

    protected AbstractSelectionKey()

Initializes a new instance of this class.

### Method Detail

#### cancel

    public final void cancel()

Cancels this key.

If this key has not yet been cancelled then it is added to its selector's cancelled-key set while synchronized on that set.

Specified by:
  `cancel` in class `SelectionKey`